curl -X DELETE "https://api.liquid.tf/api/dev/listing" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_SITE_API_KEY" \
-d '{
"items": [
{ "asset_id": "12321312414" }
]
}'
const response = await fetch('https://api.liquid.tf/api/dev/listing', {
method: 'DELETE',
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'YOUR_SITE_API_KEY'
},
body: JSON.stringify({
items: [
{ asset_id: '12321312414' }
]
})
});
const data = await response.json();
import requests
response = requests.delete(
'https://api.liquid.tf/api/dev/listing',
headers={'X-API-Key': 'YOUR_SITE_API_KEY'},
json={
'items': [
{'asset_id': '12321312414'}
]
}
)
data = response.json()
{
"success": true
}
Listing Management
Delete Listings
Remove specific listings by asset ID
DELETE
/
api
/
dev
/
listing
curl -X DELETE "https://api.liquid.tf/api/dev/listing" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_SITE_API_KEY" \
-d '{
"items": [
{ "asset_id": "12321312414" }
]
}'
const response = await fetch('https://api.liquid.tf/api/dev/listing', {
method: 'DELETE',
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'YOUR_SITE_API_KEY'
},
body: JSON.stringify({
items: [
{ asset_id: '12321312414' }
]
})
});
const data = await response.json();
import requests
response = requests.delete(
'https://api.liquid.tf/api/dev/listing',
headers={'X-API-Key': 'YOUR_SITE_API_KEY'},
json={
'items': [
{'asset_id': '12321312414'}
]
}
)
data = response.json()
{
"success": true
}
Overview
Deletes one or more listings by their Steam asset IDs. Max 100 listings per request.Authentication
string
required
Your site API key
Rate Limit
5 requests per minuteRequest Body
array
required
Array of listings to delete (max 100 items)
Show Item Object
Show Item Object
string
required
Steam asset ID of the listing to delete
Response
boolean
Returns
true if listings were successfully deletedcurl -X DELETE "https://api.liquid.tf/api/dev/listing" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_SITE_API_KEY" \
-d '{
"items": [
{ "asset_id": "12321312414" }
]
}'
const response = await fetch('https://api.liquid.tf/api/dev/listing', {
method: 'DELETE',
headers: {
'Content-Type': 'application/json',
'X-API-Key': 'YOUR_SITE_API_KEY'
},
body: JSON.stringify({
items: [
{ asset_id: '12321312414' }
]
})
});
const data = await response.json();
import requests
response = requests.delete(
'https://api.liquid.tf/api/dev/listing',
headers={'X-API-Key': 'YOUR_SITE_API_KEY'},
json={
'items': [
{'asset_id': '12321312414'}
]
}
)
data = response.json()
{
"success": true
}
Batch Deletion
Delete multiple listings at once by including multiple asset IDs:{
"items": [
{ "asset_id": "12321312414" },
{ "asset_id": "12321312415" },
{ "asset_id": "12321312416" }
]
}
Deleted listings cannot be recovered. Make sure you have the correct asset IDs before deleting.
To delete all your listings at once, use the Delete All Listings endpoint instead.
